/***************************************************************************
                          gvevent.h  -  description
                             -------------------
    begin                : Mon Jul 28 2003
    copyright            : (C) 2003 by Thomas Thiel
    email                : kv@wolfchild.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GVEVENT_H
#define GVEVENT_H

#include <qevent.h>

/**Event Class for interthread Qt Communications with the GV
  *@author Thomas Thiel
  */

class GVEvent : public QCustomEvent  {
public: 
	GVEvent();
	~GVEvent();
  /** returns status information */
  int getStatus();
  /** returns Key Information */
  int getKey();
  /** No descriptions */
   GVEvent(int initkey, int initstatus);

enum Key { all=589841, team=589842, group1=589843, group2=589844, group3=589845, group4=589846, command=589847, mute=589848 };
enum Status { on=1,off=0 };

private:
  int key;
  int status;
};

#endif
