/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Son Jul 27 19:07:45 CEST 2003
    copyright            : (C) 2003 by Thomas Thiel
    email                : kv@wolfchild.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kapp.h>
#include <qstring.h>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "kamevoiceconfig.h"
#include "gvlistener.h"
#include "gvlistenerstatus.h"

#include "CGenericConfig.h"

CGenericConfig *KameVoiceConf;

static const char *description =
	I18N_NOOP("KameVoice");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  QString configdir;
  configdir = getenv ("HOME");
  configdir += "/.kamevoicerc";
  KameVoiceConf = new CGenericConfig (configdir);

  GVListenerStatus *gvls = new GVListenerStatus();

  KAboutData aboutData( "kamevoice", I18N_NOOP("KameVoice"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2003, Thomas Thiel", 0, 0, "wolfchild@wolfchild.de");
  aboutData.addAuthor("Thomas Thiel",0, "wolfchild@wolfchild.de");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  KameVoiceConfig *kamevoice = new KameVoiceConfig(gvls);
  a.setMainWidget(kamevoice);
  kamevoice->hide();

  return a.exec();

  delete gvls;

}
