/****************************************************************************
** Form implementation generated from reading ui file 'kamevoiceactioneditor.ui'
**
** Created: Die Aug 12 12:52:46 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.2   edited Dec 19 11:45 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kamevoiceactioneditor.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qtextbrowser.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a KameVoiceActionEditor as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KameVoiceActionEditor::KameVoiceActionEditor( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KameVoiceActionEditor" );
    KameVoiceActionEditorLayout = new QGridLayout( this, 1, 1, 11, 6, "KameVoiceActionEditorLayout"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    le_identifier = new QLineEdit( this, "le_identifier" );
    layout1->addWidget( le_identifier );
    layout2->addLayout( layout1 );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout2->addWidget( textLabel2 );

    le_command = new QLineEdit( this, "le_command" );
    layout2->addWidget( le_command );
    layout5->addLayout( layout2 );

    textBrowser1 = new QTextBrowser( this, "textBrowser1" );
    layout5->addWidget( textBrowser1 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    btn_cancel = new QPushButton( this, "btn_cancel" );
    layout3->addWidget( btn_cancel );

    btn_ok = new QPushButton( this, "btn_ok" );
    btn_ok->setDefault( TRUE );
    layout3->addWidget( btn_ok );
    layout5->addLayout( layout3 );

    KameVoiceActionEditorLayout->addLayout( layout5, 0, 0 );
    languageChange();
    resize( QSize(281, 271).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    connect(btn_ok,SIGNAL(clicked()),this,SLOT(accept()));
}


KameVoiceActionEditor::KameVoiceActionEditor( QString id, QString cmd, QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KameVoiceActionEditor" );
    KameVoiceActionEditorLayout = new QGridLayout( this, 1, 1, 11, 6, "KameVoiceActionEditorLayout");

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5");

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2");

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1");

    textLabel1 = new QLabel( this, "textLabel1" );
    layout1->addWidget( textLabel1 );

    le_identifier = new QLineEdit( this, "le_identifier" );
    layout1->addWidget( le_identifier );
    layout2->addLayout( layout1 );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout2->addWidget( textLabel2 );

    le_command = new QLineEdit( this, "le_command" );
    layout2->addWidget( le_command );
    layout5->addLayout( layout2 );

    textBrowser1 = new QTextBrowser( this, "textBrowser1" );
    layout5->addWidget( textBrowser1 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3");

    btn_cancel = new QPushButton( this, "btn_cancel" );
    layout3->addWidget( btn_cancel );

    btn_ok = new QPushButton( this, "btn_ok" );
    btn_ok->setDefault( TRUE );
    layout3->addWidget( btn_ok );
    layout5->addLayout( layout3 );

    KameVoiceActionEditorLayout->addLayout( layout5, 0, 0 );
    languageChange();
    resize( QSize(281, 271).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    le_command->setText(cmd);
    le_identifier->setText(id);

    connect(btn_ok,SIGNAL(clicked()),this,SLOT(accept()));
}



/*
 *  Destroys the object and frees any allocated resources
 */
KameVoiceActionEditor::~KameVoiceActionEditor()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KameVoiceActionEditor::languageChange()
{
    setCaption( tr( "KameVoice - ActionEditor" ) );
    textLabel1->setText( tr( "Identifier" ) );
    textLabel2->setText( tr( "Enter the command below:" ) );
    textBrowser1->setText( tr( "<H2>ActionEditor</H2>\n"
                                "<P>Here you can actually add and edit KameVoice Action sets.</P>\n"
                                "<P>Just enter a valid identifier (can be whatever you want, choose something you associate with the command) and\n"
                                "then enter the command that is to be issued if this action is called.</P>"
                                "<P>Example: <br><br>Identifier: xmms play<br>Action: xmms --play</P>\n"  ) );
    btn_cancel->setText( tr( "Cancel" ) );
    btn_ok->setText( tr( "OK" ) );
}

/** Checks input and the ends the dialog */
void KameVoiceActionEditor::accept()
{
  QDialog::accept();
}

/** returns entered Action-Identifier */
QString KameVoiceActionEditor::getId()
{
  return le_identifier->text();
}

/** Returns entered Action Command */
QString KameVoiceActionEditor::getCmd()
{
  return le_command->text();
}
